Subject: Re: imap-send badly handles commit bodies beginning with "From <"

From: Michael Haggerty <[email-masked]>
Date: Tue, 01 Nov 2011 17:06:48 +0100

On 11/01/2011 04:38 PM, Jeff King wrote:
> Right. If you properly quote and unquote "From " lines, then mbox can be
> unambiguous.

That is not quite true.  The RFC says only that lines matching "^From "
should be quoted, not lines matching "^>From " (or, generally, "^>*From
").  So the quoting is lossy; it is *not* possible to tell whether a
line starting with ">From " should be unquoted (it could have been
">From " in the original).

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/